{% extends 'app_base.html.twig' %}
{% form_theme changePasswordForm 'bootstrap_5_layout.html.twig' %}

{% block title %}{{ 'user.change_password.head.title'|trans }} - {{ appName }}{% endblock %}

{% block body %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="{{ path('app_home') }}">{{ 'breadcrumb.homepage'|trans }}</a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ path('app_user_profile') }}">{{ 'breadcrumb.user.profile'|trans }}</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">
                {{ 'breadcrumb.user.profile.change_password'|trans }}
            </li>
        </ol>
    </nav>

    {% for label, messages in app.flashes %}
        {% for message in messages %}
            <div class="flash-{{ label }}">
                {{ message }}
            </div>
        {% endfor %}
    {% endfor %}

    <div class="mb-5">
        <h1> {{ 'user.change_password.page.title'|trans }} </h1>
        {{ form_start(changePasswordForm) }}

            <div class="my-custom-class-for-errors">
                {{ form_errors(changePasswordForm) }}
            </div>
            <fieldset class="mt-4 mb-4 ">
                <legend class="text-xl text-bg-dark px-2">
                    {{ 'user.change_password.form.legend.current-password'|trans }}
                </legend>
                {% if isInvalidCurrentPassword == true %}
                    {{ form_row(changePasswordForm.currentPlainPassword, {'attr': {'class': 'is-invalid'}})  }}
                    <span class="invalid-feedback d-block">
                        {{ 'common.validator.help.password.error.not-valid-current-password'|trans }}
                    </span>
                {% else %}
                    {{ form_row(changePasswordForm.currentPlainPassword)  }}
                {% endif %}

            </fieldset>
            <fieldset class="mt-4 mb-4 ">
                <legend class="text-xl text-bg-dark px-2">
                    {{ 'user.change_password.form.legend.new-password'|trans }}
                </legend>
                {{ form_row(changePasswordForm.newPlainPassword)  }}
            </fieldset>
            <button id="user-changePasswordForm_submit" class="btn btn-primary">
                {{ 'user.change_password.form.submit'|trans|raw }}
            </button>
        {{ form_end(changePasswordForm) }}
    </div>


{% endblock %}
